Web forum is in read-only mode. Login as active registered customer for write access
  Forum Search   New Posts New Posts

FB1.5 not supported?

 Post Reply Post Reply
Author
Jason Chapman View Drop Down
New Member
New Member
Avatar

Joined: 19 Oct 2018
Posts: 28
Post Options Post Options   Quote Jason Chapman Quote  Post ReplyReply Direct Link To This Post Topic: FB1.5 not supported?
    Posted: 08 Jan 2020 at 11:21am
Hi, newbie alert.

I am just starting to build a small portal for an existing legacy line of business system.  The DB has been hand built since 1995 and is currently FB1.5 dialect 1.  I have other questions that I'll post in more appropriate forums about the best way to package up the data to get it to the WebCore front end.

I just tried to reverse eng the DB and it only has the option for FB 2 & 3.  I tried using the FB2 settings  and pointed it at the 1.5 FBClient.dll. 
Warning: 
"TMS Data Modeler detected you are connecting to a database server whose version is older than the selected one (Firebird 2). Reverse engineering may not work properly. Do you want to proceed?"
Yes,...
Next:
"[FireDAC] [DatS]-32 Variable length column [DOMAIN_NAME] overflow. Value length - [13], column maximum length - [10]"

So are all bets off.  In all honesty, of the 100's of tables in the DB there are only a few I am after and in fact I am likely to do them as specific views or even SPs to restrict access.

As I said at the top, I am at the start of my journey and don't know much about the data modeller and how much time it would have saved me vs starting at the Delphi code end.
TIA 
JAC
Back to Top
Wagner R. Landgraf View Drop Down
TMS Support
TMS Support
Avatar

Joined: 18 May 2010
Posts: 2704
Post Options Post Options   Quote Wagner R. Landgraf Quote  Post ReplyReply Direct Link To This Post Posted: 09 Jan 2020 at 10:50pm
Hello Mr. Chapman,
Indeed, we don't have specific tests for Firebird 1.5. It's a very old database and not as much used as Firebird 2.5. We have report of some users that were able to use Aurelius and Data Modeler with FB 1.5, but as I said, we didn't test it so in some situation is might fail, unfortunately.
Back to Top
Jason Chapman View Drop Down
New Member
New Member
Avatar

Joined: 19 Oct 2018
Posts: 28
Post Options Post Options   Quote Jason Chapman Quote  Post ReplyReply Direct Link To This Post Posted: 10 Jan 2020 at 8:45am
Thanks Wagner.  Like all these rock solid technologies, its amazing where you still find them.  I still go onsite and people are using D5 etc. :-).  
Back to Top
Jason Chapman View Drop Down
New Member
New Member
Avatar

Joined: 19 Oct 2018
Posts: 28
Post Options Post Options   Quote Jason Chapman Quote  Post ReplyReply Direct Link To This Post Posted: 10 Feb 2020 at 9:30am
Looks like I will build my entities unit by hand OR convert the DB for FB 2.5 / 3 and then once up and running convert the connection back to the older database.... hopefully.
Back to Top
 Post Reply Post Reply

Forum Jump Forum Permissions View Drop Down